Name: sendmail
Version: 8.10.2
Release: C1
Summary: mail transport agent
Copyright: distributable (similar to, but not quite BSD)
Group: Networking/Daemons
Provides: smtpdaemon
Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.gz
Source1: site.Linux.m4
Source2: cobalt.mc
Source3: aliases
Source4: access
Source5: virtusertable
Source6: trusted-users
Source7: local-host-names
Source8: Sendmail.conf
Patch0: sendmail-cobalt.patch
URL: http://www.sendmail.org/
BuildRoot: /var/tmp/sendmail
Packager: Duncan Laurie <duncan@cobalt.com>

%changelog
* Sat Jun 16 2000 Duncan Laurie <duncan@cobalt.com> 8.10.2-C1
- update to workaround security problem in linux kernel

* Sun Jun 04 2000 Duncan Laurie <duncan@cobalt.com> 8.10.1-C4
- hacks to support better virtualization in SMTP greeting
  and in "Received by" headers

* Wed May 17 2000 Duncan Laurie <duncan@cobalt.com> 8.10.1-C3
- define confEBINDIR to /usr/sbin (instead of /usr/libexec default)
  to fix smrsh (among others)

* Tue May 09 2000 Duncan Laurie <duncan@cobalt.com> 8.10.1-C2
- add "no_default_msa" feature to disable Message Submission Agent
  from binding to TCP port 587 (see RFC2476)

* Sun Apr 30 2000 Duncan Laurie <duncan@cobalt.com> 8.10.1-C1
- include SASL support

%description 
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

%package conf
Summary: Sendmail configuration files
Group: Daemons

%description conf
This packages contains all the default configuration files in
/etc/mail and the sendmail.cf configuration file.

%package doc
Summary: Sendmail documentation
Group: Daemons

%description doc
This package includes man pages, release notes, the sendmail FAQ,
and a few papers written about sendmail.  The papers are available
in PostScript and troff.

%package cf
Summary: Sendmail configuration sources and m4 macros
Group: Daemons

%description cf
This package contains all the configuration files used to generate
the sendmail.cf file distributed with the base sendmail package.
You'll want this package if you need to reconfigure and rebuild
your sendmail.cf file.

%prep
rm -rf $RPM_BUILD_ROOT
%setup 
%patch -p1

install -m644 $RPM_SOURCE_DIR/site.Linux.m4 \
	      $RPM_BUILD_DIR/sendmail-%{version}/devtools/Site/site.Linux.m4
install -m644 $RPM_SOURCE_DIR/cobalt.mc \
	      $RPM_BUILD_DIR/sendmail-%{version}/cf/cf/cobalt.mc

%build
sh Build
(
  cd cf
  [ -x /usr/bin/m4 ] && /usr/bin/m4 cf/cobalt.mc >> cobalt.cf
)

%install
mkdir -p $RPM_BUILD_ROOT/etc/mail
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,lib/{sendmail-cf,sasl},adm/sm.bin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,5,8}
mkdir -p $RPM_BUILD_ROOT/var/spool/mail
mkdir -p $RPM_BUILD_ROOT/var/spool/mqueue/q{1,2,3,4}

# do normal sendmail install routines
sh Build install DESTDIR=$RPM_BUILD_ROOT

# force installation of rmail
(
  cd rmail
  sh Build force-install DESTDIR=$RPM_BUILD_ROOT
)

# install generated cf file
install -m644 -g root -o root cf/cobalt.cf \
	$RPM_BUILD_ROOT/etc/mail/sendmail.cf

# fix symlinks
(
  cd $RPM_BUILD_ROOT/usr/bin
  for link in 	hoststat \
		mailq \
		newaliases \
		purgestat
  do
    rm -f $link
    ln -sf ../sbin/sendmail $link
  done

  ln -sf ../sbin/makemap
  ln -sf ../sbin/praliases
)

# install configuration files
for cf in 	aliases \
		access \
		virtusertable \
		trusted-users \
		local-host-names
do
  install -m644 -o root -g root $RPM_SOURCE_DIR/$cf \
	$RPM_BUILD_ROOT/etc/mail/$cf
done

# install cyrus-SASL configuration file
install -m644 -o root -g root $RPM_SOURCE_DIR/Sendmail.conf \
	$RPM_BUILD_ROOT/usr/lib/sasl/Sendmail.conf

# initialize status file
touch $RPM_BUILD_ROOT/etc/mail/statistics

# copy cf directory so end-user can re-create
(
  cd cf
  tar cf - * |
  (
    cd $RPM_BUILD_ROOT/usr/lib/sendmail-cf
    tar xvvf -
  )
)

# install some contrib utilities
for cf in 	expn \
		etrn \
		re-mqueue
do
  install -m755 -o root -g root contrib/${cf}.pl \
	$RPM_BUILD_ROOT/usr/bin/$cf
done

%post
# procmail is used for local mail delivery
ln -sf /usr/bin/procmail /usr/adm/sm.bin/procmail
# vacation.pl is cobalts custom vacation program
ln -sf /usr/local/sbin/vacation.pl /usr/adm/sm.bin/vacation.pl
# majordomo wrapper
ln -sf /usr/local/majordomo/wrapper /usr/adm/sm.bin/wrapper

%clean
rm -rf $RPM_BUILD_ROOT

%post conf
# build alaises file
/usr/bin/newaliases < /dev/null > /dev/null

# build mapfiles
(
  cd $RPM_BUILD_ROOT/etc/mail
  for map in	access \
		virtusertable
  do
    /usr/bin/makemap hash $map < $map > /dev/null
  done
)

%files
%dir /etc/mail
%dir /usr/adm/sm.bin
%dir %attr(0775,root,mail) /var/spool/mail
%dir %attr(0755,root,mail) /var/spool/mqueue/q1
%dir %attr(0755,root,mail) /var/spool/mqueue/q2
%dir %attr(0755,root,mail) /var/spool/mqueue/q3
%dir %attr(0755,root,mail) /var/spool/mqueue/q4
/usr/sbin/sendmail
/usr/sbin/makemap
/usr/sbin/praliases
/usr/sbin/smrsh
/usr/bin/expn
/usr/bin/etrn
/usr/bin/mailq
/usr/bin/makemap
/usr/bin/newaliases
/usr/bin/praliases
/usr/bin/re-mqueue
/usr/bin/hoststat
/usr/bin/purgestat
/usr/bin/rmail
/usr/bin/vacation

%files conf
%defattr(0644,bin,bin)
%config /etc/mail/sendmail.cf
%config /etc/mail/aliases
%config /etc/mail/trusted-users
%config /etc/mail/local-host-names
%config /etc/mail/access
%config /etc/mail/virtusertable
%config /etc/mail/helpfile
%config /usr/lib/sasl/Sendmail.conf

%files cf
/usr/lib/sendmail-cf

%files doc
%doc FAQ README KNOWNBUGS RELEASE_NOTES
%doc doc
%doc devtools/README smrsh/README sendmail/README
/usr/man/man8/mailstats.8
/usr/man/man8/makemap.8
/usr/man/man8/praliases.8
/usr/man/man8/rmail.8
/usr/man/man8/sendmail.8
/usr/man/man8/smrsh.8
/usr/man/man5/aliases.5
/usr/man/man1/mailq.1
/usr/man/man1/newaliases.1
/usr/man/man1/vacation.1

